Package twisted :: Package spread :: Module pb :: Class _PortalAuthChallenger

[frames | no frames]

## Class _PortalAuthChallenger

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       _PortalAuthChallenger

Called with response to password challenge.

Method Summary
| `__init__(self, portalWrapper, username, challenge)`
| `_loggedIn(self, (interface, perspective, logout))`
| `checkMD5Password(self, md5Password)`
| `checkPassword(self, password)`
| `remote_respond(self, response, mind)`
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`tuple` | `__implements__` = `((<class twisted.spread.interfaces.IJel...`
Inherited from Referenceable
`NoneType` | `perspective` = None

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        ((<class twisted.spread.interfaces.IJellyable at 0x840e324>,),
         <class twisted.cred.credentials.IUsernameHashedPassword at 0x854027c>\
        ,
         <class twisted.spread.pb.IUsernameMD5Password at 0x8540d84>)

Generated by Epydoc 2.0 on Sat May 15 20:08:23 2004 | http://epydoc.sf.net